EUCA-REVOKE(1)

NAME
euca-revoke - Remove a rule from a security group

SYNOPSIS
euca-revoke [--egress] [-P PROTOCOL] [-p RANGE] [-t TYPE:CODE] [-s CIDR | -o GROUP] [-u ACCOUNT] [--show-empty-fields] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] GROUP

DESCRIPTION
Remove a rule from a security group

  positional arguments:

GROUP
    name or ID of the security group to modify (required)

  optional arguments:

--egress
    [VPC only] manage an egress rule, which controls traffic leaving the group

-P PROTOCOL, --protocol PROTOCOL
    the protocol to affect (Non-VPC: tcp, udp, icmp) (VPC only: tcp, udp, icmp, -1/all, other protocol numbers) (default: tcp)

-p RANGE, --port-range RANGE
    range of ports (specified as "from-to") or a single port number (required for tcp and udp)

-t TYPE:CODE, --icmp-type-code TYPE:CODE
    ICMP type and code (specified as "type:code") (required for icmp)

-s CIDR, --cidr CIDR
    IP range (default: 0.0.0.0/0)

-o GROUP
    [Non-VPC only] name of a security group with which to affect network communication

-u ACCOUNT
    ID of the account that owns the security group specified with -o

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit